{
  "name": "frontend",
  "private": true,
  "version": "0.0.1",
  "license": "MIT",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint src --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview",
    "test": "jest"
  },
  "dependencies": {
    "@emotion/react": "^11.10.5",
    "@emotion/styled": "^11.10.5",
    "@mui/icons-material": "^5.11.0",
    "@mui/lab": "^5.0.0-alpha.153",
    "@mui/material": "^5.11.5",
    "opGUI-client-frontend": "./openAPI/generateApiClientFrontend",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-folder-tree": "^5.1.1",
    "react-router-dom": "^6.11.2",
    "react-xarrows": "^2.0.2"
  },
  "devDependencies": {
    "@babel/plugin-transform-react-jsx": "^7.22.5",
    "@babel/plugin-transform-runtime": "^7.21.4",
    "@babel/preset-env": "^7.21.5",
    "@babel/preset-react": "^7.18.6",
    "@babel/preset-typescript": "^7.21.5",
    "@testing-library/jest-dom": "^5.14.1",
    "@testing-library/react": "^14.0.0",
    "@testing-library/user-event": "^13.2.1",
    "@types/react": "^18.0.37",
    "@types/react-dom": "^18.0.11",
    "@typescript-eslint/eslint-plugin": "^5.59.0",
    "@typescript-eslint/parser": "^5.59.0",
    "@vitejs/plugin-react": "^4.0.0",
    "eslint": "^8.38.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.3.4",
    "jest": "^29.5.0",
    "jest-environment-jsdom": "^29.5.0",
    "jest-fetch-mock": "^3.0.3",
    "jest-svg-transformer": "^1.0.0",
    "typescript": "^5.0.2",
    "vite": "^4.3.9"
  },
  "engines": {
    "npm": ">=8.3.1 <=9.0.0",
    "node": ">=16.13.2",
    "yarn": ">=1.21.17"
  },
  "jest": {
    "setupFilesAfterEnv": [
      "<rootDir>/src/setupTests.ts"
    ],
    "transform": {
      "^.+\\.(js|jsx|ts|tsx)$": "<rootDir>/node_modules/babel-jest"
    },
    "moduleNameMapper": {
      "\\.(css|less|scss)$": "<rootDir>/src/__mocks__/styleMock.js",
      "^.+\\.svg$": "jest-svg-transformer"
    },
    "testEnvironment": "jsdom"
  }
}
